public class array {
   public static void main(String args[]) {
      int i;
      int array[] = new int [ 10 ];
      for(i = 0; i < array.length; i++) {
         array[i] = i;
      }
      for(i = 0; i < array.length; i++) {
         IO.print("int_array == ");
         IO.printInt(array[i]);
      }
      float array2[] = new float [ 10 ];
      for(i = 0; i < array2.length; i++) {
         array2[i] = i * 1.5F;
      }
      for(i = 0; i < array2.length; i++) {
         IO.print("float_array == ");
         IO.printFloat(array2[i]);
      }
      double array3[] = new double [ 10 ];
      for(i = 0; i < array3.length; i++) {
         array3[i] = i * 1.5;
      }
      for(i = 0; i < array3.length; i++) {
         IO.print("double_array == ");
         IO.printDouble(array3[i]);
      }
      short array4[] = new short[ 10 ];
      for(i = 0; i < array4.length; i++) {
         array4[i] = (short)i;
      }
      for(i = 0; i < array4.length; i++) {
         IO.print("short_array == ");
         IO.printShort(array4[i]);
      }
      char array5[] = new char[ 10 ];
      for(i = 0; i < array5.length; i++) {
         array5[i] = (char)(i + 'A');
      }
      for(i = 0; i < array5.length; i++) {
         IO.print("char_array == ");
         IO.printChar(array5[i]);
      }
      boolean array6[] = new boolean[ 10 ];
      for(i = 0; i < array6.length; i++) {
         array6[i] = false;
      }
      for(i = 0; i < array6.length; i++) {
         IO.print("boolean_array == ");
         IO.printBoolean(array6[i]);
      }
      long array7[] = new long[ 10 ];
      for(i = 0; i < array7.length; i++) {
         array7[i] = (long)i;
      }
      for(i = 0; i < array7.length; i++) {
         IO.print("long_array == ");
         IO.printLong(array7[i]);
      }
      byte array8[] = new byte[ 10 ];
      for(i = 0; i < array8.length; i++) {
         array8[i] = (byte)i;
      }
      for(i = 0; i < array8.length; i++) {
         IO.print("byte_array == ");
         IO.printByte(array8[i]);
      }
   }
}
